/**
 * @file
 * The footer components.
 *
 * It includes styles for the footer itself and its
 * components.
 */


/**
* Global footer rules
*/

.main__footer {
    background-color:  var(--color-primary--1);
    color: var(--color-neutral);
    border-top: solid 8px var(--color-primary--2);
    margin-top: auto;
}
.main__footer p {
    color: var(--color-neutral);
}
.main__footer-wrapper {
    padding-top: 2rem;
    padding-bottom: 2rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}
.main__footer-content .region-footer {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
@media all and (min-width: 750px) {
    .main__footer-content .region-footer {
        flex-direction: row;
        justify-content: space-between;
        gap: 4rem;
    }
}


/**
* Social Block
*/

.socials h2 {
    font-size: 1.5rem;
    margin-bottom: 1rem;
    margin-top: 0;
    color: var(--color-neutral);
}
.socials-subtitle {
    font-family: 'Raleway';
    font-weight: 600;
}
.socials-main {
    margin-bottom: 1rem;
}
.socials-main,
.socials-secondary {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}
.socials-main__wrapper {
    display: flex;
    gap: 1rem;
    align-items: center;
}
.social-item a {
    text-indent: -99999px;
    overflow: hidden;
    display: block;
    width: 43px;
    height: 43px;
    background-position: center;
    background-size: 43px 43px;
    background-repeat: no-repeat;
}
.social-item--facebook a {
    background-image: url("/themes/custom/editionsprivat/images/icons/facebook.svg");
}
.social-item--instagram a {
    background-image: url("/themes/custom/editionsprivat/images/icons/instagram.svg");
}


/**
 * PDF Block
 */

#block-footerpdf h2 {
    font-size: 1.5rem;
    margin-bottom: 1rem;
    color: var(--color-neutral);
}
.footer-pdf:hover{
    text-decoration: underline;
}
.footer-pdf a {
    display: flex;
    flex-direction: column-reverse;
    gap: 0.625rem;
    color: var(--color-neutral);
    font-family: 'Raleway';
    height: 100%;
}
.footer-pdf__file {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 0.625rem;
    line-height: 1.3rem;
}
.footer-pdf__file::before {
    content: '';
    display: block;
    background-image: url("/themes/custom/editionsprivat/images/icons/download.svg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    min-width: 20px;
    height: 20px;
}
.footer-pdf-wrapper .footer-pdf {
    height: 100%;
}
.footer-pdf-wrapper .footer-pdf > div {
    height: 100%;
}
.footer-pdf-wrapper {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
@media all and (min-width: 750px){
    #block-footerpdf h2 {
        margin-top: 0;
    }
    .footer-pdf a {
        flex-direction: column;
    }
}
@media all and (min-width: 1000px){
    .footer-pdf-wrapper {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        align-items: flex-start;
        gap: 2rem;
    }
    .footer-pdf-wrapper .footer-pdf {
        max-width: 208px;
    }
}


/**
 * Footer Menu
 */

.main__footer .menu--level-0 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    gap: 1rem;
    color: var(--color-neutral);
    margin: 0;
}
.main__footer .menu--level-0 a,
.main__footer .menu--level-0 a.is-active {
    font-family: 'Raleway';
    color: var(--color-neutral);
}
@media all and (min-width: 750px) {
    .main__footer .menu--level-0 {
        flex-direction: row;
        justify-content: center;
    }
    .main__footer .menu--level-0 a:hover {
        text-decoration: underline;
    }
    .main__footer .menu--level-0 li {
        display: flex;
        gap: 1rem;
        align-items: center;
    }
    .main__footer .menu--level-0 li:not(:last-child):after {
        content: '|';
        display: block;
    }
}
@media all and (min-width: 1000px) {
    .main__footer .menu--level-0 {
        justify-content: flex-end;
    }
}


/**
 * Region logo inside footer
 **/
.region-footer-menu {
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
  justify-content: center;
}
@media all and (min-width: 1100px){
  .region-footer-menu {
    flex-direction: row;
    justify-content: space-between;
  }
}
#block-footerregionlogo {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 10px;
  margin-top: 2rem;
  font-size: 0.75rem;
  line-height: 150%;
}
@media all and (min-width: 1100px){
  #block-footerregionlogo {
    flex-direction: row;
    text-align: left;
    gap: 20px;
    margin-top: 0;
  }
  #block-footerregionlogo p {
    max-width: 200px;
  }
}
